Bug 1062315 - Review Request: xorg-x11-drv-fbturbo - Xorg X11 fbturbo video driver
Review Request: xorg-x11-drv-fbturbo - Xorg X11 fbturbo video driver
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
: Reopened
: 1062311 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-06 11:14 EST by Martin
Modified: 2015-07-21 08:49 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-05-27 08:28:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin 2014-02-06 11:14:03 EST
Spec URL: http://martix.fedorapeople.org/xorg-x11-drv-fbturbo/xorg-x11-drv-fbturbo.spec
SRPM URL: http://martix.fedorapeople.org/xorg-x11-drv-fbturbo/xorg-x11-drv-fbturbo-0.4.0-1.fc20.src.rpm
Description:
xf86-video-fbturbo - video driver, primarily optimized for the devices powered
by the Allwinner SoC (A10, A13, A20). It can use some of the 2D/3D hardware
acceleration features.

read more on: https://github.com/ssvb/xf86-video-fbturbo

Fedora Account System Username: martix

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6500466
Comment 1 Christopher Meng 2014-02-06 21:29:51 EST
*** Bug 1062311 has been marked as a duplicate of this bug. ***
Comment 2 Parag AN(पराग) 2014-02-11 01:18:16 EST
Looks like spec is written using some existing old xorg package spec

Review:-
+ Mock build is successful for f21 x86_64

+ rpmlint on generated rpms gave output
xorg-x11-drv-fbturbo-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xf86-video-fbturbo-0.4.0/src/g2d_driver.h
xorg-x11-drv-fbturbo-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/xf86-video-fbturbo-0.4.0/src/sunxi_disp_ioctl.h
3 packages and 0 specfiles checked; 2 errors, 0 warnings.
==> Ok

+ Source verified with upstream tarball as (sha256sum)
upstream tarball 10411686de0a9d8b2cde300b0d68e9f1d22e3611470d357ef3afc337f123ca0f
srpm tarball 10411686de0a9d8b2cde300b0d68e9f1d22e3611470d357ef3afc337f123ca0f

- License is NOT valid. It should be MIT as per written in source files headers.


Suggestions:
1) %define should be replaced by %global
Reference -> https://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define

2) group tag line is not needed now anymore
Reference -> https://fedoraproject.org/wiki/:Guidelines#Group_tag

3) removing the buildroot in (first line of) %install is not needed now, remove it.
Reference -> https://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag

4) %clean is not needed now
Reference -> https://fedoraproject.org/wiki/Packaging:Guidelines#.25clean

5) Files installed should preserve timestamp, you can do that using
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
Reference -> https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps

6) %description can also add lines
X.Org X11 fbturbo video driver, primarily optimized for the devices powered
by the Allwinner SoC (A10, A13, A20). It can use some of the 2D/3D hardware
acceleration features.

7) Fix license tag

8) Should contact upstream to get fsf address corrected as reported by rpmlint output.


I also observed that build.log is showing following lines 
sh: xserver-sdk-abi-requires: command not found
sh: xserver-sdk-abi-requires: command not found
Package xorg-server was not found in the pkg-config search path.
Perhaps you should add the directory containing `xorg-server.pc'
to the PKG_CONFIG_PATH environment variable
No package 'xorg-server' found

I am not sure if its an issue with macro expansion in Requires:
Comment 3 Hans de Goede 2014-02-11 05:24:49 EST
Hi Parag, Martin,

Parag, note that Martin needs a sponsor, Martin you should have marked this bug as needing a sponsor, I've done so for you now.

Parag, I don't know if you can sponsor people, if you can and you're willing to sponser Martin, then great. If not let me know and I'll take over.

Thanks & Regards,

Hans
Comment 4 Parag AN(पराग) 2014-02-11 05:33:32 EST
I can sponsor him but I have not yet checked how many more package submissions he has done and/or how many (unofficial) package reviews done. I will check that later today.
Comment 5 Parag AN(पराग) 2014-02-11 07:16:47 EST
Hi Martin,
    I can't find any other package review request submitted by you other than this package. Also, you have not done a single informal package review. If I am missing any of your reviews then please point me to those reviews.

You may want to read -> http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

If you need any other help please ask here or email me.
Comment 6 Parag AN(पराग) 2014-02-11 07:36:54 EST
Just found your fas account is linked to martix@martix.name which is different from the email id from which you have submitted this review request. Both email id's should be same.
Comment 7 Martin 2014-02-11 14:10:21 EST
(In reply to Parag AN(पराग) from comment #6)
> Just found your fas account is linked to martix@martix.name which is
> different from the email id from which you have submitted this review
> request. Both email id's should be same.

This should be already fixed: https://fedorahosted.org/fedora-infrastructure/ticket/4222
Should I reopen the ticket?

I will update spec and SRPM as I go through suggestions and linked guidelines.

Quick note about license, source files are mixed MIT and GPLv2+:
https://github.com/ssvb/xf86-video-fbturbo/blob/master/src/sunxi_disp_ioctl.h
https://github.com/ssvb/xf86-video-fbturbo/blob/master/COPYING
Comment 8 Parag AN(पराग) 2014-02-12 00:09:08 EST
1) yes please reopen the ticket. I can still see your FAS info showing 
Account Name:    martix
Full Name:    Martin Holec
Email:    martix@martix.name 

2) Right I missed to look at that file only ;-)
   you can use GPLv2+ as a license tag.
Comment 9 Martin 2014-02-12 04:18:06 EST
Please read yellow note: https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join#Create_a_Bugzilla_Account

Bugzilla address connected with my Fedora Account can be different from FAS e-mail.
Comment 10 Parag AN(पराग) 2014-02-12 04:23:04 EST
What I am trying to say is that you submitted review request from bugzilla account which is linked to mholec@redhat.com whereas your FAS is showing martix@martix.name

I also read from your link is this
"The email address that you use for your bugzilla account should be the same email address as you use in the Fedora Account System for all things related to Fedora Packaging. "
Comment 11 Parag AN(पराग) 2014-03-04 23:59:57 EST
any update on above issue? Still bugzilla email id and email ID registered in FAS martix account differs.
Comment 12 Parag AN(पराग) 2014-04-06 04:47:17 EDT
ping any updates here?
Comment 13 Parag AN(पराग) 2014-06-26 12:22:06 EDT
any updates here?
Comment 15 Parag AN(पराग) 2014-10-13 11:13:48 EDT
any updates here?
Comment 16 Hans de Goede 2014-10-16 08:42:56 EDT
(In reply to Parag AN(पराग) from comment #15)
> any updates here?

Martin no longer is with Red Hat, so his bugzilla email address no longer works.

So unless we can find someone to take this review request over this review request should probably be closed.
Comment 17 Parag AN(पराग) 2015-05-27 08:28:31 EDT
I am closing this request. If anyone want to package this in Fedora please open a new bugzilla review request.

Thanks all.

Note You need to log in before you can comment on or make changes to this bug.